wibble::Tokenizer::const_iterator Class Reference

`#include <regexp.h>`

## Public Types

typedef std::string | value_type
typedef ptrdiff_t | difference_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions

| const_iterator (Tokenizer &tok)
| const_iterator (Tokenizer &tok, bool)
const_iterator & | operator++ ()
std::string | operator* () const
bool | operator== (const const_iterator &ti) const
bool | operator!= (const const_iterator &ti) const

## Member Typedef Documentation

## difference_type

typedef ptrdiff_t wibble::Tokenizer::const_iterator::difference_type

## iterator_category

typedef std::forward_iterator_tag wibble::Tokenizer::const_iterator::iterator_category

## pointer

typedef value_type* wibble::Tokenizer::const_iterator::pointer

## reference

typedef value_type& wibble::Tokenizer::const_iterator::reference

## value_type

typedef std::string wibble::Tokenizer::const_iterator::value_type

## Constructor & Destructor Documentation

## const_iterator() [1/2]

wibble::Tokenizer::const_iterator::const_iterator | ( | Tokenizer & | tok | ) |

inline

## const_iterator() [2/2]

wibble::Tokenizer::const_iterator::const_iterator | ( | Tokenizer & | tok,
|  | bool |
| ) |  |

inline

## Member Function Documentation

## operator!=()

bool wibble::Tokenizer::const_iterator::operator!= | ( | const const_iterator & | ti | ) | const

inline

## operator*()

std::string wibble::Tokenizer::const_iterator::operator* | ( |  | ) | const

inline

## operator++()

Tokenizer::const_iterator & wibble::Tokenizer::const_iterator::operator++ | ( |  | ) |

References wibble::list::end().

## operator==()

bool wibble::Tokenizer::const_iterator::operator== | ( | const const_iterator & | ti | ) | const

inline

The documentation for this class was generated from the following files:

- regexp.h
- regexp.cpp